Class DocumentController

java.lang.Object
org.apache.clusterbr.zupportl5.controller.DocumentController

@RestController @RequestMapping("/api/documents") public class DocumentController extends Object

REST-API Endpoints --

  • GET /api/documents/id/{idsource}: Returns data from the API
  • GET /api/documents/top/{limitRows}: Returns data from the API
  • GET /api/documents/search: Returns data from the API

UML Diagrams:

UML CLASS Diagram

UML USECASE Diagram

UML SEQ Diagram

UML ACTIVITY Diagram

Since:
2024-1108
Author:
arcbrth@gmail.com
  • Constructor Details

    • DocumentController

      @Autowired public DocumentController(DocumentService documentService)
  • Method Details

    • getViewForProcessXml

      @GetMapping("/viewer") public org.springframework.http.ResponseEntity<String> getViewForProcessXml() throws IOException
      Throws:
      IOException
    • getAllDocuments

      @GetMapping("/all") public org.springframework.http.ResponseEntity<Object> getAllDocuments(@RequestParam(value="limit",defaultValue="0") Integer limitRows)
    • getDocument

      @GetMapping("/id/{idSource}") public org.springframework.http.ResponseEntity<Object> getDocument(@PathVariable("idSource") String idSource)
    • searchDocuments

      @GetMapping("/search") public org.springframework.http.ResponseEntity<Object> searchDocuments(@RequestParam("keyword") String keyword)